## yadedaily 20251019-8855~37183f2~bionic1

=== debian/changelog ===
yadedaily (20251019-8855~37183f2~bionic1-1) bionic; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 19 Oct 2025 06:17:48 +0000

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build
tmpInstall = $(CURDIR)/debian/tmp
tmpDirMatplotLib = $(CURDIR)/debian/matplotlib

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python3 --parallel

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed

export MPLCONFIGDIR := $(tmpDirMatplotLib) 
export HOME := $(tmpDirMatplotLib) 
export LD_LIBRARY_PATH :=  $(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily/py/gts:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily/py/yade:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yadedaily/py/yade/qt:$(LD_LIBRARY_PATH); 
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export YADE_PREFIX := $(tmpInstall)/usr

extra_flags += \
-DruntimePREFIX="/usr" \
-DCMAKE_INSTALL_PREFIX="/usr" \
-DSUFFIX="daily" \
-DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
-DYADE_VERSION=20251019-8855~37183f2~bionic1 \
-DENABLE_SPH=0 \
-DPYTHON_VERSION=3 \
-DCMAKE_CXX_COMPILER_LAUNCHER=ccache

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)
	mkdir -p $(tmpDirMatplotLib)
	mkdir -p $(tmpInstall)
	#Output an information about available memory and CPU
	-cat /proc/meminfo
	-cat /proc/cpuinfo

override_dh_auto_install-arch:
	dh_auto_install -a
	# generate manpages
	help2man $(tmpInstall)/usr/bin/yadedaily > yadedaily.1
	help2man $(tmpInstall)/usr/bin/yadedaily-batch > yadedaily-batch.1
	$(tmpInstall)/usr/bin/yadedaily --test
	$(tmpInstall)/usr/bin/yadedaily --checkall
	#Delete all pyc files
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	dh_numpy3

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman -p yadedaily yadedaily.1 yadedaily-batch.1

override_dh_compress:
	dh_compress --all -X.py -X.stl -X.gts -X.geo -X.mesh -X.msh -X.pdf -X.png -X.svg -X.txt -X.js -X.inv

override_dh_auto_install-indep: 
	#Generate docs
	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yadedaily yadeSphinx.py html; PYTHONPATH=. $(tmpInstall)/usr/bin/yadedaily yadeSphinx.py latex; PYTHONPATH=. $(tmpInstall)/usr/bin/yadedaily yadeSphinx.py workarounds; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
	#Delete all pyc files
	find . -name '*.pyc' -print0 | xargs -0 rm -f

override_dh_auto_test: 

override_dh_installdocs-indep:
	dh_installdocs
	dh_sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

## yadedaily 20251023

=== CMakeLists.txt ===
# The YADE has the following parameters to configure:
#  CMAKE_INSTALL_PREFIX: path, where Yade will be installed (/usr/local by default)
#  LIBRARY_OUTPUT_PATH: path to install libraries (lib by default)
#  DEBUG: compile in debug-mode (OFF by default)
#  MAX_LOG_LEVEL: set maximum level for LOG_* macros compiled with ENABLE_LOGGER. For production build use MAX_LOG_LEVEL<=5, to avoid filter integer comparison on each call to LOG_TRACE(…)
#  CMAKE_VERBOSE_MAKEFILE: output additional information during compiling (OFF by default)
#  CMAKE_TIMING_VERBOSE: custom output for timing per target  (OFF by default)
#  SUFFIX: suffix, added after binary-names (version number by default)
#  NOSUFFIX: do not add a suffix after binary-name (OFF by default)
#  YADE_VERSION: explicitely set version number (is defined from git-directory by default)
#
#  DISABLE_ALL: disable all options (OFF by default)
#
#  ENABLE_ASAN                : AddressSanitizer build, please see documentation (OFF by default)
#  ENABLE_CGAL                : enable CGAL option (ON by default)
#  ENABLE_COMPLEX_MP          : Requires boost >= 1.71: use boost::multiprecision for ComplexHP: (1) complex128 (2) mpc_complex (3) complex_adaptor (ON by default); Otherwise uses std::complex<…>.
#  ENABLE_DEFORM              : enable constant volume deformation engine (OFF by default)
#  ENABLE_FAST_NATIVE         : use max optimization, code runs only on the same processor type; speedup about 2%, and above 5% with clang compiler, which requires ENABLE_USEFUL_ERRORS=OFF (OFF by default)
#  ENABLE_FEMLIKE             : enable meshed solids (FEM-like)
#  ENABLE_GL2PS               : enable GL2PS-option (ON by default)
#  ENABLE_GTS                 : enable GTS-option (ON by default)
#  ENABLE_GUI                 : enable GUI option (ON by default)
#  ENABLE_LBMFLOW             : enable LBMFLOW-option, LBM_ENGINE (ON by default)
#  ENABLE_LINSOLV             : enable LINSOLV-option (ON by default)
#  ENABLE_LIQMIGRATION        : enable LIQMIGRATION-option, see [Mani2013] for details (OFF by default)
#  ENABLE_LOGGER              : use boost::log library for logging (ON by default)
#  ENABLE_LS_DEM              : enable level-set shape description (ON by default)
#  ENABLE_MASK_ARBITRARY      : enable MASK_ARBITRARY option (OFF by default)
#  ENABLE_MPFR                : use https://www.mpfr.org/ library, can be used for higher precision calculations or for CGAL exact predicates (OFF by default)
#  ENABLE_MPI                 : Enable MPI communications in Yade. Used for Yade-OpenFOAM coupling.
#  ENABLE_MULTI_REAL_HP       : allow using twice, quadruple or higher precisions of Real: RealHP<N> for N ∈ {1,2,3,4,8,10,20}
#                               It is not advertised in yade.config.features because of frequent confusion
#                               with output of yade.math.usesHP() as described in https://gitlab.com/yade-dev/trunk/-/issues/247
#                               Please call yade.math.getRealHPCppDigits10() and yade.math.getRealHPPythonDigits10() instead.
#  ENABLE_OAR                 : generate a script for oar-based task scheduler (OFF by default)
#  ENABLE_OPENMP              : enable OpenMP-parallelizing option (ON by default)
#  ENABLE_PARTIALSAT          : enable the partially saturated clay engine, under construction (OFF by default)
#  ENABLE_PFVFLOW             : enable PFVFLOW-option, FlowEngine (ON by default)
#  ENABLE_POTENTIAL_BLOCKS    : enable potential blocks option (ON by default)
#  ENABLE_POTENTIAL_PARTICLES : enable potential particles option (ON by default)
#  ENABLE_PROFILING           : enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)
#  ENABLE_SPH                 : enable SPH-option, Smoothed Particle Hydrodynamics (OFF by default)
#  ENABLE_THERMAL             : enable thermal engine (ON by default, experimental)"
#  ENABLE_TWOPHASEFLOW        : enable TWOPHASEFLOW-option, TwoPhaseFlowEngine (ON by default)
#  ENABLE_USEFUL_ERRORS       : enable useful compiler errors which help a lot in error-free development.
#  ENABLE_VTK                 : enable VTK-export option (ON by default)
#
#  REAL_PRECISION_BITS , REAL_DECIMAL_PLACES: specify either of them to use a custom calculation precision. By default double (64 bits, 15 decimal places) precision is used.
#  runtimePREFIX: used for packaging, when install directory is not the same is runtime directory (/usr/local by default)
#  VECTORIZE: enables vectorization and alignment in Eigen3 library, experimental (OFF by default)
#  USE_QT5: use QT5 for GUI (ON by default)
#  CHOLMOD_GPU link Yade to custom SuiteSparse installation and activate GPU accelerated PFV (OFF by default)
#  SUITESPARSEPATH: define this variable with the path to a custom suitesparse install
#  PYTHON_VERSION: force python version to the given one, set -1 to automatically use the last version on the system. (-1 by default)
#  DISABLE_PKGS : comma-separated list of disabled packages from 'pkg', 'preprocessing' or 'postprocessing', if empty all packages will be built.The packages `common` and `dem` are required to run, but the project can be compiled without them. (EMPTY by default)
cmake_minimum_required(VERSION 3.5.0)
project(Yade C CXX)
if(POLICY CMP0072)
# FindOpenGL prefers GLVND by default when available.
# https://cmake.org/cmake/help/latest/policy/CMP0072.html
  cmake_policy(SET CMP0072 NEW)
endif()
if(POLICY CMP0095)
# RPATH entries are properly escaped in the intermediary CMake install script.
# https://cmake.org/cmake/help/latest/policy/CMP0095.html

  cmake_policy(SET CMP0095 NEW)
endif()

if(POLICY CMP0167)
# The FindBoost module is removed.
# https://cmake.org/cmake/help/latest/policy/CMP0167.html

  cmake_policy(SET CMP0167 NEW)
endif()
IF(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 7.0.0)
  set (CMAKE_CXX_STANDARD 14)
ELSE()
  set (CMAKE_CXX_STANDARD 17)
ENDIF()
set (CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable verbose timing display?
if(CMAKE_TIMING_VERBOSE)
#   set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)  #<==== if so, usual make output is replaced by next line, else timing log is one more line
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CMAKE_SOURCE_DIR}/cMake/custom_output.sh")
endif()


# https://misc.flogisoft.com/bash/tip_colors_and_formatting
# https://stackoverflow.com/questions/18968979/how-to-get-colorized-output-with-cmake , use ${Esc} for printing colors
string(ASCII 27 Esc)
# To have a cmake option with multiple values I used https://cmake.org/pipermail/cmake/2016-October/064342.html
# set maximum level for LOG_* macros compiled with ENABLE_LOGGER. For production build use MAX_LOG_LEVEL below 5, to avoid filter integer comparison on each call to LOG_TRACE(…)
set(MAX_LOG_LEVEL "5" CACHE STRING "default MAX_LOG_LEVEL")
set_property(CACHE MAX_LOG_LEVEL PROPERTY STRINGS "0" "1" "2" "3" "4" "5" "6")  # define list of values GUI will offer for the variable


#===========================================================


OPTION(DISABLE_ALL "Disable all features (OFF by default)" OFF)

SET(DEFAULT_ON ON CACHE INTERNAL "Default ON value for enabled by default options")
SET(DEFAULT_OFF OFF CACHE INTERNAL "Default OFF value for disabled by default options")
SET(LINKLIBS "")
SET(CONFIGURED_FEATS "")
SET(DISABLED_FEATS "")

IF (DISABLE_ALL)
  SET(DEFAULT_ON OFF)
ENDIF (DISABLE_ALL)

OPTION(ENABLE_ASAN "Enable AddressSanitizer build, please see documentation" ${DEFAULT_OFF})
OPTION(ENABLE_CGAL "Enable CGAL" ${DEFAULT_ON})
OPTION(ENABLE_COMPLEX_MP "Use boost::multiprecision for ComplexHP: (1) complex128 (2) mpc_complex MPFR (3) complex_adaptor<cpp_bin_float>, requires boost >= 1.71; Otherwise use std::complex<…>." ${DEFAULT_ON})
OPTION(ENABLE_DEFORM "Enable Deformation Engine" ${DEFAULT_OFF})
OPTION(ENABLE_FEMLIKE "Enable deformable solids" ${DEFAULT_ON})
OPTION(ENABLE_GL2PS "Enable GL2PS" ${DEFAULT_ON})
OPTION(ENABLE_GTS "Enable GTS" ${DEFAULT_ON})
OPTION(ENABLE_GUI "Enable GUI" ${DEFAULT_ON})
OPTION(ENABLE_LBMFLOW "Enable LBM engine (very experimental)" ${DEFAULT_ON})
OPTION(ENABLE_LINSOLV "Enable direct solver for the flow engines (experimental)" ${DEFAULT_ON})
OPTION(ENABLE_LIQMIGRATION "Enable liquid control (very experimental), see [Mani2013] for details" ${DEFAULT_OFF})
OPTION(ENABLE_LOGGER "Use boost::log library for logging (ON by default)" ${DEFAULT_ON})
OPTION(ENABLE_LS_DEM "Enable level-set shape description" ${DEFAULT_ON})
OPTION(ENABLE_MASK_ARBITRARY "Enable arbitrary precision of bitmask variables (only Body::groupMask yet implemented) (experimental). Use -DMASK_ARBITRARY_SIZE=int to set number of used bits (256 by default)" ${DEFAULT_OFF})
OPTION(ENABLE_MPFR "Use mpfr library (higher precision calculations or CGAL exact predicates)" ${DEFAULT_OFF})
OPTION(ENABLE_MPI "Enable MPI environement and communications, required for coupling Yade with OpenFOAM  " ${DEFAULT_ON})
OPTION(ENABLE_OAR "Generate script for oar-based task scheduler" ${DEFAULT_OFF})
OPTION(ENABLE_OPENMP "Enable OpenMP" ${DEFAULT_ON})
OPTION(ENABLE_PARTIALSAT "Enable the partially saturated clay engine" ${DEFAULT_ON})
OPTION(ENABLE_PFVFLOW "Enable one-phase flow engines" ${DEFAULT_ON})
OPTION(ENABLE_POTENTIAL_BLOCKS "Enable PotentialBlocks" ${DEFAULT_ON})
OPTION(ENABLE_POTENTIAL_PARTICLES "Enable potential particles" ${DEFAULT_ON})
OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" ${DEFAULT_OFF})
OPTION(ENABLE_MULTI_REAL_HP "allow using twice, quadruple or higher precisions of Real" ${DEFAULT_ON})
OPTION(ENABLE_SPH "Enable SPH" ${DEFAULT_OFF})
OPTION(ENABLE_THERMAL "Enable thermal engine (experimental)" ${DEFAULT_ON})
OPTION(ENABLE_TWOPHASEFLOW "Enable two-phase flow engines" ${DEFAULT_ON})
OPTION(ENABLE_USEFUL_ERRORS "enable useful compiler errors which help a lot in error-free development." ${DEFAULT_ON})
OPTION(ENABLE_VTK "Enable VTK" ${DEFAULT_ON})
OPTION(CHOLMOD_GPU "Enable GPU acceleration flow engine direct solver" ${DEFAULT_OFF})
OPTION(USE_QT5 "USE Qt5 for GUI" ON)

#Set -DPYTHON_VERSION numeric option below:
set(PYTHON_VERSION -1 CACHE STRING "Force python version to the given one. Defaults to -DPYTHON_VERSION=-1 which automatically uses the newest available python version on the system.")

set(DISABLE_PKGS "" CACHE STRING "Comma-separated list of disabled packages from 'pkg', 'preprocessing' or 'postprocessing', if empty all packages will be built.")
#===========================================================



set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(GetVersion)
INCLUDE(GNUInstallDirs)

INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})

#===========================================================
# HACK!!! If the version of gcc is 4.8 or greater, we add -ftrack-macro-expansion=0
# and -save-temps into compiler to reduce the memory consumption during compilation.
# See http://bugs.debian.org/726009 for more information
# Can be removed later, if gcc fixes its regression
# Taken from http://stackoverflow.com/questions/4058565/check-gcc-minor-in-cmake

# this line was trying to get the g++ version. But it does not work with ccache.
# But we already have CMAKE_CXX_COMPILER_VERSION, so we don't need this line!
#EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)

IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")  # Check whether we compile with GCC
  IF (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.8 OR CMAKE_CXX_COMPILER_VERSION VERSION_EQUAL 4.8)
    MESSAGE(STATUS "GCC Version >= 4.8. Adding -ftrack-macro-expansion=0")
    ADD_DEFINITIONS("-ftrack-macro-expansion=0")
  ELSE()
    MESSAGE(STATUS "GCC Version < 4.8. will not use -ftrack-macro-expansion=0")
  ENDIF()
ENDIF()

# -save-temps is not supported with ccache

=== data/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(data_installer)

# include GNUInstallDirs
include(GNUInstallDirs)

# set the data directory
set(DATA_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/yade)

# list of directories to be installed
set(DIRECTORIES_TO_INSTALL capillaryFiles checks-and-tests DEM2020Benchmark static)

# use a for loop to install the directories
foreach(directory ${DIRECTORIES_TO_INSTALL})
    install(DIRECTORY ${directory} DESTINATION ${DATA_DIR})
endforeach()

=== py/CMakeLists.txt ===
#==================pygts=========================================
IF(ENABLE_GTS)
  find_python_module(gts)
  IF (PY_gts)
    MESSAGE(STATUS "Use system gts version")
  ELSE (PY_gts)
    MESSAGE(STATUS "Use embedded version of gts. Please, consider installing the corresponding package")
    FILE(GLOB SRC_PYGTS "${CMAKE_CURRENT_SOURCE_DIR}/3rd-party/pygts-0.3.1/*.cpp")
    ADD_LIBRARY(_gts SHARED ${SRC_PYGTS})
    SET_TARGET_PROPERTIES(_gts PROPERTIES PREFIX "")
    SET_TARGET_PROPERTIES(_gts PROPERTIES  UNITY_BUILD OFF) # a bunch of multiple declarations there
    TARGET_LINK_LIBRARIES(_gts gts)
    INSTALL(FILES 3rd-party/pygts-0.3.1/__init__.py DESTINATION ${YADE_LIB_PATH}/py/gts)
    INSTALL(FILES 3rd-party/pygts-0.3.1/pygts.py DESTINATION ${YADE_LIB_PATH}/py/gts)
    INSTALL(TARGETS _gts DESTINATION ${YADE_LIB_PATH}/py/gts)
  ENDIF (PY_gts)
ENDIF(ENABLE_GTS)
#==================pygts=========================================

#==================pyModules=========================================

FILE(GLOB filesPY "${CMAKE_CURRENT_SOURCE_DIR}/*.py")
SET(filesPY "${filesPY};${CMAKE_CURRENT_SOURCE_DIR}/pack/pack.py")
INSTALL(FILES ${filesPY} DESTINATION ${YADE_PY_PATH}/yade)
INSTALL(FILES 3rd-party/mtTkinter-0.4/mtTkinter.py DESTINATION ${YADE_LIB_PATH}/py)
FILE(GLOB filesPYTests "${CMAKE_CURRENT_SOURCE_DIR}/tests/*.py")
INSTALL(FILES ${filesPYTests} DESTINATION ${YADE_PY_PATH}/yade/tests)
FILE(GLOB filesPYPerf "${CMAKE_CURRENT_SOURCE_DIR}/../examples/test/performance/*")
INSTALL(FILES ${filesPYPerf} DESTINATION ${YADE_PY_PATH}/yade/tests/checks/performance)
FILE(GLOB filesFEMxDEM "${CMAKE_CURRENT_SOURCE_DIR}/FEMxDEM/*.py")
INSTALL(FILES ${filesFEMxDEM} DESTINATION ${YADE_PY_PATH}/yade/FEMxDEM)

ADD_LIBRARY(_libVersions SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_libVersions.cpp")
SET_TARGET_PROPERTIES(_libVersions PROPERTIES PREFIX "")
TARGET_LINK_LIBRARIES(_libVersions ${VTK_LIBRARIES})
TARGET_INCLUDE_DIRECTORIES(_libVersions PUBLIC ${Qt5Widgets_INCLUDE_DIRS} ${Qt5OpenGL_INCLUDE_DIRS})
INSTALL(TARGETS _libVersions DESTINATION "${YADE_PY_PATH}/yade/")

# hint: follow changes in d067b0696a8 to add new modules.
ADD_LIBRARY(_log SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_log.cpp")
SET_TARGET_PROPERTIES(_log PROPERTIES PREFIX "")
INSTALL(TARGETS _log DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_math SHARED "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_math.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeStorageOrdering.cpp")
SET_TARGET_PROPERTIES(_math PROPERTIES PREFIX "")
INSTALL(TARGETS _math DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_minieigenHP SHARED "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_minieigenHP.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeMathReal.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeMathComplex.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeBoxes.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeComplex1.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeComplex2.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeConverters.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeMatrices1.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeMatrices2.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeQuaternion.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeStorageOrdering.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeVectors1.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_ExposeVectors2.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/high-precision/_RealHPDiagnostics.cpp")
SET_TARGET_PROPERTIES(_minieigenHP PROPERTIES PREFIX "")
INSTALL(TARGETS _minieigenHP DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(WeightedAverage2d SHARED "${CMAKE_CURRENT_SOURCE_DIR}/WeightedAverage2d.cpp")
SET_TARGET_PROPERTIES(WeightedAverage2d PROPERTIES PREFIX "")
INSTALL(TARGETS WeightedAverage2d DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_utils SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_utils.cpp")
SET_TARGET_PROPERTIES(_utils PROPERTIES PREFIX "")
INSTALL(TARGETS _utils DESTINATION "${YADE_PY_PATH}/yade/")


ADD_LIBRARY(_polyhedra_utils SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_polyhedra_utils.cpp")
SET_TARGET_PROPERTIES(_polyhedra_utils PROPERTIES PREFIX "")
INSTALL(TARGETS _polyhedra_utils DESTINATION "${YADE_PY_PATH}/yade/")


ADD_LIBRARY(_packPredicates SHARED "${CMAKE_CURRENT_SOURCE_DIR}/pack/_packPredicates.cpp")
SET_TARGET_PROPERTIES(_packPredicates PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(_packPredicates PROPERTIES INSTALL_RPATH "$ORIGIN/../gts")
IF(ENABLE_GTS AND NOT(PY_gts))
  TARGET_LINK_LIBRARIES(_packPredicates _gts)
ENDIF(ENABLE_GTS AND NOT(PY_gts))


INSTALL(TARGETS _packPredicates DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_packSpheres SHARED "${CMAKE_CURRENT_SOURCE_DIR}/pack/_packSpheres.cpp")
SET_TARGET_PROPERTIES(_packSpheres PROPERTIES PREFIX "")
INSTALL(TARGETS _packSpheres DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_packObb SHARED "${CMAKE_CURRENT_SOURCE_DIR}/pack/_packObb.cpp")
SET_TARGET_PROPERTIES(_packObb PROPERTIES PREFIX "")
INSTALL(TARGETS _packObb DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(wrapper SHARED "${CMAKE_CURRENT_SOURCE_DIR}/wrapper/yadeWrapper.cpp")
SET_TARGET_PROPERTIES(wrapper PROPERTIES PREFIX "")
INSTALL(TARGETS wrapper DESTINATION "${YADE_PY_PATH}/yade/")

ADD_LIBRARY(_customConverters SHARED "${CMAKE_CURRENT_SOURCE_DIR}/wrapper/customConverters.cpp")
SET_TARGET_PROPERTIES(_customConverters PROPERTIES PREFIX "")
INSTALL(TARGETS _customConverters DESTINATION "${YADE_PY_PATH}/yade/")

FILE(GLOB_RECURSE YMPORT_CPP_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ymport/*.cpp)
ADD_LIBRARY(_ymport SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_ymport.cpp" ${YMPORT_CPP_SRCS})
SET_TARGET_PROPERTIES(_ymport PROPERTIES PREFIX "")
INSTALL(TARGETS _ymport DESTINATION "${YADE_PY_PATH}/yade/")

IF(ENABLE_LOGGER AND CMAKE_UNITY_BUILD)
	MESSAGE(STATUS "${Esc}[93mENABLE_LOGGER needs a workaround with CMAKE_UNITY_BUILD, adding .cpp files containing CREATE_CPP_LOCAL_LOGGER to SKIP_UNITY_BUILD_INCLUSION.${Esc}[0m")
	SET(FIND_CPP_LOGGER_ARGS -rZl CREATE_CPP_LOCAL_LOGGER ${CMAKE_SOURCE_DIR}/py --include=*.cpp)
	EXECUTE_PROCESS( COMMAND grep ${FIND_CPP_LOGGER_ARGS} COMMAND sed -e "s/\\x0/;/g" OUTPUT_VARIABLE FILES_WITH_CPP_LOGGER OUTPUT_STRIP_TRAILING_WHITESPACE)
	FOREACH(CPP_LOGGER_USED_HERE ${FILES_WITH_CPP_LOGGER})
		MESSAGE(STATUS "Adding ${CPP_LOGGER_USED_HERE} to SKIP_UNITY_BUILD_INCLUSION")
		SET_PROPERTY(SOURCE ${CPP_LOGGER_USED_HERE} PROPERTY SKIP_UNITY_BUILD_INCLUSION ON)
	ENDFOREACH(CPP_LOGGER_USED_HERE)
ENDIF(ENABLE_LOGGER AND CMAKE_UNITY_BUILD)
## Use this comment in .cpp file
##   // SKIP_UNITY_BUILD
## to skip UNITY build in particular file. Here, grep all files which contain this string.
IF(CMAKE_UNITY_BUILD)
	#MESSAGE(STATUS "${Esc}[93mENABLE_LOGGER needs a workaround with CMAKE_UNITY_BUILD, adding .cpp files containing SKIP_UNITY_BUILD to SKIP_UNITY_BUILD_INCLUSION.${Esc}[0m")
	SET(FIND_SKIP_UNITY_BUILD -rZl SKIP_UNITY_BUILD ${CMAKE_SOURCE_DIR}/py --include=*.cpp)
	EXECUTE_PROCESS( COMMAND grep ${FIND_SKIP_UNITY_BUILD} COMMAND sed -e "s/\\x0/;/g" OUTPUT_VARIABLE FILES_WITH_SKIP_UNITY_BUILD OUTPUT_STRIP_TRAILING_WHITESPACE)
	FOREACH(SKIP_UNITY_BUILD_USED_HERE ${FILES_WITH_SKIP_UNITY_BUILD})
		MESSAGE(STATUS "Adding ${SKIP_UNITY_BUILD_USED_HERE} to SKIP_UNITY_BUILD_INCLUSION")
		SET_PROPERTY(SOURCE ${SKIP_UNITY_BUILD_USED_HERE} PROPERTY SKIP_UNITY_BUILD_INCLUSION ON)
	ENDFOREACH(SKIP_UNITY_BUILD_USED_HERE)
ENDIF(CMAKE_UNITY_BUILD)

## yadedaily 20251023-8867~a3aa548~bookworm1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~bookworm1-1) bookworm; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 14:50:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251019-8855~37183f2~bionic1 \
+-DYADE_VERSION=20251023-8867~a3aa548~bookworm1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251023-8867~a3aa548~bullseye1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~bullseye1-1) bullseye; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 12:51:52 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~bookworm1 \
+-DYADE_VERSION=20251023-8867~a3aa548~bullseye1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251023-8867~a3aa548~focal1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~focal1-1) focal; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 13:19:24 +0000

=== debian/control ===
Source: yadedaily
Section: science
Priority: extra
Homepage: https://launchpad.net/yade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Vcs-Git: git://anonscm.debian.org/debian-science/packages/yade.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yade.git
X-Python-Version: current
Build-Depends:
 cmake,
 debhelper (>= 9),
 dh-python,
 freeglut3-dev,
 help2man,
 libboost-all-dev,
 libbz2-dev,
 libcgal-dev [!armel],
 libeigen3-dev (>=3.2.1-1),
 libgl1-mesa-dev | libgl-dev,
 libgts-dev,
 libmetis-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
 libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
 libqglviewer-dev-qt5,
 libsuitesparse-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
 libvtk6-dev | libvtk9-dev,
 libxi-dev,
 libxmu-dev,
 pyqt5-dev-tools,
 python3-all-dev (>= 2.6.6-3~),
 python3-matplotlib,
 python3-mpmath,
 python3-numpy,
 python3-pil,
 python3-pyqt5,
 python3-tk,
 python3-xlib,
 zlib1g-dev
Build-Depends-Indep:
 dvipng,
 graphviz,
 libjs-jquery,
 lmodern,
 python3-sphinx (>= 1.0.7+dfsg),
 texlive-fonts-recommended,
 texlive-generic-extra | texlive-plain-generic,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-pictures,
 texlive-xetex,
 tipa
Standards-Version: 3.9.4

Package: yadedaily
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: foreign
Depends:
 gnuplot,
 gtk2-engines-pixbuf,
 libyadedaily (= ${binary:Version}),
 mpi-default-bin,
 python3-yadedaily (= ${binary:Version}),
 python3-ipython | ipython3,
 python3-mpi4py,
 python3-pyqt5.qtwebkit,
 ${python:Depends},
 ${misc:Depends}
Description: Platform for discrete element modeling
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 The high precision versions of Yade are provided for long double,
 float128 and MPFR with 150 decimal places following open access
 publication https://www.sciencedirect.com/science/article/pii/S0010465521002794
 .
 This package contains speed-optimized build of yade.

Package: libyadedaily
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
 ${misc:Depends},
 ${shlibs:Depends}
Description: Platform for discrete element modeling. Libraries
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 The high precision versions of Yade are provided for long double,
 float128 and MPFR with 150 decimal places following open access
 publication https://www.sciencedirect.com/science/article/pii/S0010465521002794
 .
 This package contains yade`s libraries.

Package: python3-yadedaily
Architecture: any
Section: python
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: foreign
Depends:
 libyadedaily (= ${binary:Version}),
 python3-matplotlib,
 python3-pil,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtwebkit,
 python3-tk,
 python3-xlib,
 python3-ipython | ipython3,
 python3-future,
 python3-mpmath,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Platform for discrete element modeling. Python bindings
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 The high precision versions of Yade are provided for long double,
 float128 and MPFR with 150 decimal places following open access
 publication https://www.sciencedirect.com/science/article/pii/S0010465521002794
 .
 This package contains python bindings for yade.

Package: yadedaily-doc
Architecture: all
Section: doc
Recommends:
 yadedaily
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Description: Platform for discrete element modeling. Documentation
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 The high precision versions of Yade are provided for long double,
 float128 and MPFR with 150 decimal places following open access
 publication https://www.sciencedirect.com/science/article/pii/S0010465521002794
 .
 This package contains examples, test scripts and documentation.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~bullseye1 \
+-DYADE_VERSION=20251023-8867~a3aa548~focal1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251023-8867~a3aa548~forky1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~forky1-1) forky; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 13:17:50 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~focal1 \
+-DYADE_VERSION=20251023-8867~a3aa548~forky1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251023-8867~a3aa548~jammy1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~jammy1-1) jammy; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 13:26:09 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~forky1 \
+-DYADE_VERSION=20251023-8867~a3aa548~jammy1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251023-8867~a3aa548~noble1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~noble1-1) noble; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 13:30:50 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~jammy1 \
+-DYADE_VERSION=20251023-8867~a3aa548~noble1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/yade/trunk/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## yadedaily 20251023-8867~a3aa548~trixie1

=== debian/changelog ===
yadedaily (20251023-8867~a3aa548~trixie1-1) trixie; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Thu, 23 Oct 2025 13:11:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~noble1 \
+-DYADE_VERSION=20251023-8867~a3aa548~trixie1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~bookworm1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~bookworm1-1) bookworm; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 18:37:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251023-8867~a3aa548~trixie1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~bookworm1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~bullseye1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~bullseye1-1) bullseye; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 18:37:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~bookworm1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~bullseye1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~focal1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~focal1-1) focal; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 19:11:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~bullseye1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~focal1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~forky1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~forky1-1) forky; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 19:10:50 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~focal1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~forky1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~jammy1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~jammy1-1) jammy; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 19:05:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~forky1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~jammy1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~noble1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~noble1-1) noble; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 19:30:14 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~jammy1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~noble1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251125-8902~a9f2b3a~trixie1

=== debian/changelog ===
yadedaily (20251125-8902~a9f2b3a~trixie1-1) trixie; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 25 Nov 2025 18:56:08 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~noble1 \
+-DYADE_VERSION=20251125-8902~a9f2b3a~trixie1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~bookworm1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~bookworm1-1) bookworm; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:17:16 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251125-8902~a9f2b3a~trixie1 \
+-DYADE_VERSION=20251209-8929~0fef579~bookworm1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~bullseye1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~bullseye1-1) bullseye; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:22:36 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~bookworm1 \
+-DYADE_VERSION=20251209-8929~0fef579~bullseye1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~focal1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~focal1-1) focal; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 20:34:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~bullseye1 \
+-DYADE_VERSION=20251209-8929~0fef579~focal1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~forky1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~forky1-1) forky; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:29:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~focal1 \
+-DYADE_VERSION=20251209-8929~0fef579~forky1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~jammy1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~jammy1-1) jammy; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:30:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~forky1 \
+-DYADE_VERSION=20251209-8929~0fef579~jammy1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~noble1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~noble1-1) noble; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:51:40 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~jammy1 \
+-DYADE_VERSION=20251209-8929~0fef579~noble1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251209-8929~0fef579~trixie1

=== debian/changelog ===
yadedaily (20251209-8929~0fef579~trixie1-1) trixie; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 09 Dec 2025 13:25:19 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~noble1 \
+-DYADE_VERSION=20251209-8929~0fef579~trixie1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~bookworm1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~bookworm1-1) bookworm; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 04:42:26 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251209-8929~0fef579~trixie1 \
+-DYADE_VERSION=20251214-8938~0fef579~bookworm1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~bullseye1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~bullseye1-1) bullseye; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 04:47:46 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~bookworm1 \
+-DYADE_VERSION=20251214-8938~0fef579~bullseye1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~focal1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~focal1-1) focal; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 05:16:23 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~bullseye1 \
+-DYADE_VERSION=20251214-8938~0fef579~focal1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~jammy1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~jammy1-1) jammy; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 05:22:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~focal1 \
+-DYADE_VERSION=20251214-8938~0fef579~jammy1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~noble1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~noble1-1) noble; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 05:45:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~jammy1 \
+-DYADE_VERSION=20251214-8938~0fef579~noble1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20251214-8938~0fef579~trixie1

=== debian/changelog ===
yadedaily (20251214-8938~0fef579~trixie1-1) trixie; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Sun, 14 Dec 2025 04:52:06 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~noble1 \
+-DYADE_VERSION=20251214-8938~0fef579~trixie1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~bullseye1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~bullseye1-1) bullseye; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 04:20:06 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20251214-8938~0fef579~trixie1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~bullseye1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~focal1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~focal1-1) focal; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 04:50:34 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20260106-8969~8f94d8b~bullseye1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~focal1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~forky1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~forky1-1) forky; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 04:29:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20260106-8969~8f94d8b~focal1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~forky1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~jammy1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~jammy1-1) jammy; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 04:36:45 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20260106-8969~8f94d8b~forky1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~jammy1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~noble1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~noble1-1) noble; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 04:35:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20260106-8969~8f94d8b~jammy1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~noble1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache

## yadedaily 20260106-8969~8f94d8b~trixie1

=== debian/changelog ===
yadedaily (20260106-8969~8f94d8b~trixie1-1) trixie; urgency=low

  * Default debian changelog entry for yadedaily

 -- Yade Developers <yade-dev@lists.launchpad.net>  Tue, 06 Jan 2026 05:02:13 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DSUFFIX="daily" \
 -DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
--DYADE_VERSION=20260106-8969~8f94d8b~noble1 \
+-DYADE_VERSION=20260106-8969~8f94d8b~trixie1 \
 -DENABLE_SPH=0 \
 -DPYTHON_VERSION=3 \
 -DCMAKE_CXX_COMPILER_LAUNCHER=ccache
